Bug 1051923 (CVE-2014-0376) - CVE-2014-0376 OpenJDK: document builder missing security checks (JAXP, 8027201, 8025018)
Summary: CVE-2014-0376 OpenJDK: document builder missing security checks (JAXP, 802720...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0376
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1049945
TreeView+ depends on / blocked
 
Reported: 2014-01-12 22:33 UTC by Tomas Hoger
Modified: 2019-09-29 13:12 UTC (History)
9 users (show)

Fixed In Version: icedtea 2.4.4, icedtea 2.3.13, icedtea 1.12.8, icedtea 1.13.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-06 15:41:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0026 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2014-01-15 05:59:20 UTC
Red Hat Product Errata RHSA-2014:0027 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2014-01-15 05:59:08 UTC
Red Hat Product Errata RHSA-2014:0030 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2014-01-16 00:17:27 UTC
Red Hat Product Errata RHSA-2014:0097 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2014-01-28 00:54:36 UTC
Red Hat Product Errata RHSA-2014:0134 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2014-02-05 00:35:22 UTC
Red Hat Product Errata RHSA-2014:0135 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2014-02-05 00:34:32 UTC
Red Hat Product Errata RHSA-2014:0136 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2014-02-05 00:34:19 UTC
Red Hat Product Errata RHSA-2014:0414 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 19:38:49 UTC
Red Hat Product Errata RHSA-2014:0705 normal SHIPPED_LIVE Critical: java-1.7.1-ibm security update 2014-06-10 17:07:11 UTC
Red Hat Product Errata RHSA-2014:0982 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2014-07-29 19:40:11 UTC

Description Tomas Hoger 2014-01-12 22:33:18 UTC
It was discovered that the JAXP (Java API for XML Processing) component in OpenJDK did not properly check code permissions when creating document builder factories.  An untrusted Java application or applet could possibly use this flaw to bypass certain Java sandbox restrictions.

Comment 1 Tomas Hoger 2014-01-14 21:19:29 UTC
Public now via Oracle CPU January 2014.  Fixed in Oracle JDK 7u51, 6u71 and 5.0u61.

External References:

http://www.oracle.com/technetwork/topics/security/cpujan2014-1972949.html

Comment 2 Tomas Hoger 2014-01-14 21:21:08 UTC
Related note in the release notes:

http://www.oracle.com/technetwork/java/javase/7u51-relnotes-2085002.html

  Change in JAXP Xalan Extension Functions

  In JDK 7u51, a change has been made in JAXP Xalan Extension functions to
  always use the default DOM implementation when Security Manager is present.
  This change affects the NodeSet created by DOM Document.

  Before this change, the DOM implementation is located through the DOM
  factory lookup process. With this change, when security is enabled, the
  lookup process is skipped and the default DOM implementation is used.

  This change will only affect those applications that use a 3rd party DOM
  implementation. In general, the NodeSet structure is expected to be
  compatible with that of the JDK default implementation.

Comment 3 errata-xmlrpc 2014-01-15 01:02:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0027 https://rhn.redhat.com/errata/RHSA-2014-0027.html

Comment 4 errata-xmlrpc 2014-01-15 01:04:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0026 https://rhn.redhat.com/errata/RHSA-2014-0026.html

Comment 5 errata-xmlrpc 2014-01-15 19:18:24 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0030 https://rhn.redhat.com/errata/RHSA-2014-0030.html

Comment 7 errata-xmlrpc 2014-01-27 19:56:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2014:0097 https://rhn.redhat.com/errata/RHSA-2014-0097.html

Comment 9 errata-xmlrpc 2014-02-04 19:37:06 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0136 https://rhn.redhat.com/errata/RHSA-2014-0136.html

Comment 10 errata-xmlrpc 2014-02-04 19:38:20 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0135 https://rhn.redhat.com/errata/RHSA-2014-0135.html

Comment 11 errata-xmlrpc 2014-02-04 19:42:25 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2014:0134 https://rhn.redhat.com/errata/RHSA-2014-0134.html

Comment 12 errata-xmlrpc 2014-04-17 11:42:39 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html

Comment 13 errata-xmlrpc 2014-06-10 13:13:04 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 7

Via RHSA-2014:0705 https://rhn.redhat.com/errata/RHSA-2014-0705.html

Comment 14 errata-xmlrpc 2014-07-29 15:41:33 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4
  Red Hat Network Satellite Server v 5.5
  Red Hat Satellite Server v 5.6

Via RHSA-2014:0982 https://rhn.redhat.com/errata/RHSA-2014-0982.html


Note You need to log in before you can comment on or make changes to this bug.